> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Payment Method

> Retorna um payment method pelo ID.

Retorna um `payment_method` salvo e acessível para a organização. Quando o
método estiver associado a mais de um customer acessível, envie `customer` na
query para desambiguar.

<ParamField path="id" type="string" required>
  ID do payment method (`pm_*`).
</ParamField>

<ParamField query="customer" type="string">
  Customer usado como contexto de attachment.
</ParamField>

<RequestExample>
  ```bash cURL theme={}
  curl -X GET "https://api.chargefy.io/v1/payment-methods/pm_123?customer=cus_123" \
    -H "Authorization: Bearer {{API_KEY}}"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={}
  {
    "id": "pm_123",
    "object": "payment_method",
    "billing_details": {
      "address": null,
      "email": "cliente@email.com",
      "name": "Ana Silva",
      "phone": null
    },
    "card": {
      "brand": "visa",
      "exp_month": 12,
      "exp_year": 2030,
      "last4": "4242"
    },
    "created_at": "2026-05-16T18:30:00Z",
    "customer": "cus_123",
    "livemode": true,
    "metadata": {},
    "type": "credit_card",
    "updated_at": "2026-05-16T18:30:00Z"
  }
  ```

  ```json 400 theme={}
  {
    "error": {
      "code": "invalid_request",
      "message": "customer is required when payment method is attached to multiple customers.",
      "type": "invalid_request_error"
    }
  }
  ```

  ```json 401 theme={}
  {
    "error": {
      "code": "authentication_failed",
      "message": "Invalid API key provided.",
      "type": "authentication_error"
    }
  }
  ```

  ```json 404 theme={}
  {
    "error": {
      "code": "resource_missing",
      "message": "Payment method not found.",
      "type": "invalid_request_error"
    }
  }
  ```
</ResponseExample>
